petsc-3.12.4 2020-02-04
Report Typos and Errors

# AODestroy

Destroys an application ordering.

### Synopsis

    #include "petscao.h"
    PetscErrorCode  AODestroy(AO *ao)

Collective on AO

### Input Parameters

ao -the application ordering context

### See Also

AOCreate()

### Level

beginner

### Location

src/vec/is/ao/interface/ao.c

### Implementations

AODestroy_Basic in src/vec/is/ao/impls/basic/aobasic.c
AODestroy_Mapping in src/vec/is/ao/impls/mapping/aomapping.c
AODestroy_MemoryScalable in src/vec/is/ao/impls/memscalable/aomemscalable.c
Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages